Page 1 of 1

error while using yambo-py

PostPosted: Wed Apr 05, 2017 9:27 am
by HIMANIM
Dear Sir,
I am trying to use yambo-py but getting this error. I have already installed yambo and quantum espresso. Can you please help me with this?

--------------------------------------------------------------------------
mpirun was unable to find the specified executable file, and therefore
did not launch the job. This error was first reported for process
rank 0; it may have occurred for other processes as well.

NOTE: A common cause for this error is misspelling a mpirun command
line parameter option (remember that mpirun interprets the first
unrecognized command line token as the executable).

Node: suchitra-ThinkCentre-M72z
Executable: pw.x
--------------------------------------------------------------------------
4 total processes failed to start

Regards,
Himani Mishra
IIIT Allahabad

Re: error while using yambo-py

PostPosted: Wed Apr 05, 2017 9:56 am
by miranda.henrique
Dear Himani,

It seems that you do not have pw.x installed.
Can you run:

Code: Select all
mpirun pw.x


in the command line?

Cheers,
Henrique

Re: error while using yambo-py

PostPosted: Wed Apr 05, 2017 11:26 am
by HIMANIM
No sir,
I am getting the same error while running this command also. Can you tell me how to install pw.x?
I have installed quantum espresso 6.0 and its bin folder is having pw.x I think there is some linking problem.

Regards,
Himani Mishra
IIIT Allahabad

Re: error while using yambo-py

PostPosted: Wed Apr 05, 2017 12:13 pm
by miranda.henrique
Dear Himani,

We have to keep on topic here.
This board, in particular, should deal with questions regarding yambo-py.
For questions about yambo you have other boards in this same forum.

For questions about the installation of Quantum espresso read:
http://www.quantum-espresso.org/faq/installationwww/

If you still have questions you should ask in the Quantum espresso forum:
http://www.quantum-espresso.org/forum/

Cheers,
Henrique